Subject: Re: bug#30204: 27.0.50; Changing major mode resets non-default invisibility spec

From: Richard Stallman <[email-masked]>
Date: Thu, 07 Oct 2021 18:21:21 -0400

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > Perhaps we should have a mode that even more fundamental than
  > > fundamental-mode, that does a real cleanup of the buffer (removes all
  > > text properties, overlays, etc), and just document that there are some
  > > artefacts that may remain otherwise when changing modes?
  > >
  > > We could call it...  fundamentalist-mode.

  > I've now added this to Emacs 29 under the name `clean-mode'.

I see the usefulness of a command to remove such things from the
buffer, but I don't think it fits the Emacs concept of "mode".  It
changes the contents of the buffer.

I suggest renaming it to something like `clean-buffer'.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)